Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I have read from here how to install oracle 10g xe in ubuntu 10.x but not in 11.04 (64 bit). But with 11.04 it does not work anymore because of dependency exceptions. So, how to install oracle 10g xe in ubuntu 11.04?

I even found some variant how to fix it from here but in my case it does not work - the same exception take place:

oracle-xe-universal:i386 depends on libc6 (>= 2.3.2); however: Package libc6:i386 is not installed.

share|improve this question

migrated from stackoverflow.com Jun 26 '11 at 14:04

This question came from our site for professional and enthusiast programmers.

add comment

3 Answers 3

up vote 1 down vote accepted

It seemes to me that package is broken. If I understand it correctly, libc latest version is 2.14 (http://www.eglibc.org/home)

So you should rebuild this package without this dependency to install it.

share|improve this answer
    
Hmmm.. It installs smoothly on my Ubuntu 9.10. But libc6 version there is 2.10.1-0ubuntu19. I don't understand. =( –  PocketSam Jun 26 '11 at 12:39
    
Oh, looks like it's a glitch with version comparison. Version: 2.13-0ubuntu13 should fit this requirement: libc6 (>= 2.3.2) –  PocketSam Jun 27 '11 at 4:24
    
yes i delete all deps from there... and repacked it. now it works. –  ses Jun 27 '11 at 13:51
add comment

Extract the deb file, open Oracle-xe-universal_10.2.0.1-1.0_i386/DEBIAN/control and remove the dependency for libc6 so you end up with:

Depends: libaio (>= 0.3.96) | libaio1 (>= 0.3.96)

Then cd to the directory that contains the extracted folders and do a dpkg-deb --build oracle-xe-universal_10.2.0.1-1.0_i386 && sudo dpkg -i --force-architecture oracle-xe-universal_10.2.0.1-1.0_i386.deb

share|improve this answer
    
Unfortunately this is the same content that I have seen in the link that I've mentioned above. It does not help me. See above. –  ses Jun 20 '11 at 11:29
    
It helped me, thanks. May be I only needed --force-architecture but it works anyway. –  Lilian A. Moraru Mar 30 '12 at 0:03
add comment

At first you have to install the 32 bits libraries:

sudo apt-get install libc6-i386
sudo apt-get install libaio

Start installation of oracle express:

dpkg -i --force-architecture oracle-xe-universal_10.2.0.1-1.1_i386.deb

Configure it:

sudo /etc/init.d/oracle-xe configure

Add required environment variable to .bashrc:

sudo nano ~/.bashrc

Add these lines to it:

ORACLE_HOME=/usr/lib/oracle/xe/app/oracle/product/10.2.0/server
PATH=$PATH:$ORACLE_HOME/bin
export ORACLE_HOME
export ORACLE_SID=XE
export PATH
share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.